<ion-content class="animated fadeIn login auth-page">
  <div class="theme-bg"></div>
  <div class="">

    <!-- Logo -->
    <div padding-horizontal text-center class="animated fadeInDown">
      <div class="logo"></div>
      <h4 no-margin>
        <ion-text color="light" class="fw700">
          Assurus24
        </ion-text>
      </h4>
    </div>
    
    <!-- Login form -->
    <div class="container background" padding>
      <form [formGroup]="onResetForm" padding>
          
        <ion-item no-padding class="animated fadeInUp">
          <ion-label position="floating">
            <ion-icon name="lock" item-start></ion-icon>
            <span translate>nouveau_code</span>
          </ion-label>
          <ion-input style="width: 100px;" maxlength ="4"  color="secondary" type="password" formControlName="code" #password  show-hide-input ></ion-input>
      
          <ion-icon (click)="voirPassword()" *ngIf="!passwordVisible" color="light" name="eye" slot ="end"></ion-icon>  
          <ion-icon (click)="cacherPassword()" *ngIf="passwordVisible"  color="light" name="eye-off" slot ="end"></ion-icon>  
        </ion-item>
        
          
       
        <p ion-text color="warning" class="text08" *ngIf="onResetForm.get('code').touched && onResetForm.get('code').hasError('required')">
          <ion-text color="warning" translate>
            champ_obligatoire
          </ion-text>
          </p>
    <ion-item no-padding class="animated fadeInUp">
      <ion-label position="floating">
        <ion-icon name="lock" item-start></ion-icon>
        <span translate>confirmer_code</span>
      </ion-label>
      <ion-input style="width: 100px;" maxlength ="4"  color="secondary" type="password" formControlName="confirmCode" #confirm show-hide-input ></ion-input>
  
      <ion-icon (click)="voirConfirm()" *ngIf="!confirmPasswordVisible" color="light" name="eye" slot ="end"></ion-icon>  
      <ion-icon (click)="cacherConfirm()" *ngIf="confirmPasswordVisible"  color="light" name="eye-off" slot ="end"></ion-icon>  
    </ion-item>
    
      
   
    <p ion-text color="warning" class="text08" *ngIf="onResetForm.get('confirmCode').touched && onResetForm.get('confirmCode').hasError('required')">
      <ion-text color="warning" translate>
        champ_obligatoire
      </ion-text>
      </p>
      
        
  </form>
  
      
  
      <div padding> 
        <ion-button icon-left size="medium" expand="block" shape="round" color="dark" (click)="changePassword()" [disabled]="!onResetForm.valid " tappable translate>
          <ion-icon></ion-icon>
          <span translate>continuer</span>
        </ion-button>
      </div>
     
     
      
    </div>
   
    

  </div>
  <ion-fab vertical="top" horizontal="start" slot="fixed">
    <ion-fab-button (click) ="dismiss()">
    <ion-icon name="arrow-back"></ion-icon> 
   
   </ion-fab-button> 
 </ion-fab>
</ion-content>